Show / Hide Table of Contents

# Struct ImGuiWindowClassPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImGuiWindowClassPtr

### Constructors

| Improve this Doc View Source

#### ImGuiWindowClassPtr(ImGuiWindowClass*)

##### Declaration

    public ImGuiWindowClassPtr(ImGuiWindowClass*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiWindowClass* | nativePtr |

| Improve this Doc View Source

#### ImGuiWindowClassPtr(IntPtr)

##### Declaration

    public ImGuiWindowClassPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### ClassId

##### Declaration

    public readonly ref uint ClassId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### DockingAllowUnclassed

##### Declaration

    public readonly ref bool DockingAllowUnclassed { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DockingAlwaysTabBar

##### Declaration

    public readonly ref bool DockingAlwaysTabBar { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DockNodeFlagsOverrideSet

##### Declaration

    public readonly ref ImGuiDockNodeFlags DockNodeFlagsOverrideSet { get; }

##### Property Value

Type | Description
--- | ---
ImGuiDockNodeFlags |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public readonly ImGuiWindowClass*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImGuiWindowClass* |

| Improve this Doc View Source

#### ParentViewportId

##### Declaration

    public readonly ref uint ParentViewportId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### TabItemFlagsOverrideSet

##### Declaration

    public readonly ref ImGuiTabItemFlags TabItemFlagsOverrideSet { get; }

##### Property Value

Type | Description
--- | ---
ImGuiTabItemFlags |

| Improve this Doc View Source

#### ViewportFlagsOverrideClear

##### Declaration

    public readonly ref ImGuiViewportFlags ViewportFlagsOverrideClear { get; }

##### Property Value

Type | Description
--- | ---
ImGuiViewportFlags |

| Improve this Doc View Source

#### ViewportFlagsOverrideSet

##### Declaration

    public readonly ref ImGuiViewportFlags ViewportFlagsOverrideSet { get; }

##### Property Value

Type | Description
--- | ---
ImGuiViewportFlags |

### Methods

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

### Operators

| Improve this Doc View Source

#### Implicit(ImGuiWindowClass* to ImGuiWindowClassPtr)

##### Declaration

    public static implicit operator ImGuiWindowClassPtr(ImGuiWindowClass*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiWindowClass* | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiWindowClassPtr |

| Improve this Doc View Source

#### Implicit(ImGuiWindowClassPtr to ImGuiWindowClass*)

##### Declaration

    public static implicit operator ImGuiWindowClass*(ImGuiWindowClassPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiWindowClassPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImGuiWindowClass* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImGuiWindowClassPtr)

##### Declaration

    public static implicit operator ImGuiWindowClassPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiWindowClassPtr |